Copiar Agente
curl --request POST \
--url https://api.plazbot.com/api/agent/copy-agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"agentId": "<string>",
"workspaceId": "<string>"
}
'import requests
url = "https://api.plazbot.com/api/agent/copy-agent"
payload = {
"agentId": "<string>",
"workspaceId": "<string>"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({agentId: '<string>', workspaceId: '<string>'})
};
fetch('https://api.plazbot.com/api/agent/copy-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"model": "<string>",
"prompt": "<string>",
"temperature": 123,
"maxTokens": 123,
"channelId": "<string>",
"platformType": "<string>",
"widgetEnabled": true,
"workspaceId": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"files": [
"<string>"
]
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Agent
Copiar Agente IA
Servicio para crear una copia de un Agente de IA existente.
POST
/
api
/
agent
/
copy-agent
Copiar Agente
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Body
application/json
Response
Agente copiado exitosamente
Indica si la operacion fue exitosa
Codigo HTTP de la respuesta
Codigo de error, null si no hay error
Mensaje descriptivo del resultado
Agente de Inteligencia Artificial configurado en el workspace
Show child attributes
Show child attributes
⌘I

